summaryrefslogtreecommitdiffstats
path: root/debian/wide-dhcpv6-client.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/wide-dhcpv6-client.postrm')
-rw-r--r--debian/wide-dhcpv6-client.postrm27
1 files changed, 27 insertions, 0 deletions
diff --git a/debian/wide-dhcpv6-client.postrm b/debian/wide-dhcpv6-client.postrm
new file mode 100644
index 0000000..78127fc
--- /dev/null
+++ b/debian/wide-dhcpv6-client.postrm
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ purge)
+ # Remove var files
+ if [ -e /var/lib/dhcpv6/dhcp6c_duid ]; then
+ rm -f /var/lib/dhcpv6/dhcp6c_duid
+ fi
+
+ if [ -e /etc/default/wide-dhcpv6-client ]; then
+ rm -f /etc/default/wide-dhcpv6-client
+ fi
+
+ if [ -e /etc/wide-dhcpv6/dhcp6cctlkey ]; then
+ rm -rf /etc/wide-dhcpv6/dhcp6cctlkey
+ fi
+ ;;
+ *)
+ # Nothing to do...
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0